CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
TestSuiteBuilderContext< Fixture > Class Template Reference

Type-sage context used when creating test suite in HelperMacros. More...

`#include <TestSuiteBuilderContext.h>`

Inheritance diagram for TestSuiteBuilderContext< Fixture >:
[legend]
Collaboration diagram for TestSuiteBuilderContext< Fixture >:
[legend]

List of all members.

## Public Types
typedef Fixture | FixtureType
## Public Member Functions
| TestSuiteBuilderContext (TestSuiteBuilderContextBase &contextBase)
FixtureType * | makeFixture () const
| Returns a new TestFixture instance.

## Detailed Description

### template<class Fixture>
class TestSuiteBuilderContext< Fixture >

Type-sage context used when creating test suite in HelperMacros.

See also:
  TestSuiteBuilderContextBase.

## Member Typedef Documentation

template<class Fixture >

typedef Fixture TestSuiteBuilderContext< Fixture >::FixtureType

## Constructor & Destructor Documentation

template<class Fixture >

TestSuiteBuilderContext< Fixture >::TestSuiteBuilderContext | ( | TestSuiteBuilderContextBase & | contextBase | ) | `[inline]`

## Member Function Documentation

template<class Fixture >

FixtureType* TestSuiteBuilderContext< Fixture >::makeFixture | ( |  | ) | const`[inline]`

Returns a new TestFixture instance.

Returns:
  A new fixture instance. The fixture instance is returned by the TestFixtureFactory passed on construction. The actual type is that of the fixture on which the static method suite() was called.

The documentation for this class was generated from the following file:

- TestSuiteBuilderContext.h

| hosts this site. |  | Send comments to: CppUnit Developers